Subject: bug#53907: font-ibm-plex has a nonfree dependency

From: Greg Farough <[email-masked]>
Date: Wed, 09 Feb 2022 16:39:40 -0500

Hi, Guix developers:

As far as I can tell, the IBM Plex family of fonts requires the
nonfree program FontLab Studio to build.

From Plex's GitHub[1] page:

> To build binary font files from .vfb sources you need FontLab Studio
> 5. A Python script called IBM Plex export FDK files.py is necessary
> to export the proper files from FontLab. To run this script you’ll
> need the RoboFab library. Also, you’ll need to have the Adobe Font
> Development Kit for OpenType (AFDKO) installed.

This seems to be a problem for the FSDG[2]'s requirement that a distro
be "self-hosting:"

> In particular, a free system distribution should be self-hosting.
> This means that you must be able to develop and build the system
> with tools that the system provides you. As a result, a free system
> distribution cannot include free software that can only be built by
> using nonfree software.

This is one of the reasons Debian[3] has moved the font to the "contrib"
section of its repos.

> IBM releases Plex as "open source", but unfortunately the freedom
> status of the font is less than ideal, as it requires non-free
> software to be built from source (see README.md, Requirements section,
> and [0]). The problematic step is the hinting, which is done with
> FontLab Studio, which is proprietary software. There is currently no
> Free Software program that is able to work with the high-level hinting
> command language used by FontLab Studio.

So, I think this font should probably be removed from Guix.

(Disclaimer: I'm an FSF employee, but consider this a personal bug
report sent from a personal address.)

Thanks for your work.

-g

[1]: https://github.com/IBM/plex
[2]: https://www.gnu.org/distros/free-system-distribution-guidelines.html
[3]: https://metadata.ftp-master.debian.org/changelogs//contrib/f/fonts-ibm-plex/fonts-ibm-plex_5.1.3-1_copyright

-- 
"We carry a new world here, in our hearts. That world is growing in
this minute."